local function loader(mn)
	local at=nil
	if fs.exists("/lib/"..mn..".lua") then
		at="/lib/"..mn..".lua"
	elseif fs.exists(shell.dir().."/lib/"..mn..".lua") then
		at=shell.dir().."/lib/"..mn..".lua"
	end
	if at then
		return function() return shell.run(at) end
	end
	return false,"\t\tno file '/lib/"..mn..".lua\n\t\tno file '"..shell.dir().."/lib/"..mn..".lua"
end

local osrun=_G.os.run
function _G.os.run(e,p,...)
	if e.package then
		table.insert(e.package.loaders,loader)
	end
	return osrun(e,p,...)
end

